lkml.org 
[lkml]   [2011]   [May]   [25]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
SubjectRe: [PATCH 1/6] kbuild: Integrate with new-kernel-pkg
On Tue, May 17, 2011 at 11:34:17PM +0200, Michal Marek wrote:
>
> Or use /sbin/installkernel and let distros handle it.

Updated distro specific patch (not expecting you to apply it).
The earlier version was mixed up with kernel-devel patch.

-Arun

commit cb73fb35a588922344763c075b2fce159df41fc7
Author: Arun Sharma <asharma@fb.com>
Date: Sun Mar 6 08:08:53 2011 -0800

kbuild: Integrate with new-kernel-pkg

Handles mkinitrd, updating the bootloader among other things.

Signed-off-by: Arun Sharma <asharma@fb.com>

diff --git a/scripts/package/mkspec b/scripts/package/mkspec
index ed8b6a8..f5f0cb5 100755
--- a/scripts/package/mkspec
+++ b/scripts/package/mkspec
@@ -40,6 +40,8 @@ echo "Source: kernel-$__KERNELRELEASE.tar.gz"
fi

echo "BuildRoot: %{_tmppath}/%{name}-%{PACKAGE_VERSION}-root"
+echo "Requires(post): /sbin/new-kernel-pkg"
+echo "Requires(preun): /sbin/new-kernel-pkg"
echo "Provides: $PROVIDES"
echo "%define __spec_install_post /usr/lib/rpm/brp-compress || :"
echo "%define debug_package %{nil}"
@@ -95,6 +97,14 @@ echo 'mv vmlinux.orig vmlinux'
echo "%endif"

echo ""
+echo "%preun"
+echo '/sbin/new-kernel-pkg --rminitrd --rmmoddep --remove '"$KERNELRELEASE"' || exit $?'
+
+echo ""
+echo "%post"
+echo '/sbin/new-kernel-pkg --mkinitrd --depmod --install --make-default '"$KERNELRELEASE"' || exit $?'
+
+echo ""
echo "%clean"
echo 'rm -rf $RPM_BUILD_ROOT'
echo ""

\
 
 \ /
  Last update: 2011-05-25 22:33    [W:0.093 / U:0.680 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site